Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.swing
Class JAffineTransformChooser

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      org.apache.batik.ext.swing.JGridBagPanel
                          org.apache.batik.ext.swing.JAffineTransformChooser

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable, Accessible, GridBagConstants

    public class JAffineTransformChooser

extends JGridBagPanel

The `JAffineTransformChooser` is a pane that contains controls to let a user select the various components that make up an `AffineTransform`

See Also:
  Serialized Form

Nested Class Summary
`static class` | `JAffineTransformChooser.Dialog`

Nested classes/interfaces inherited from class org.apache.batik.ext.swing.JGridBagPanel
`JGridBagPanel.InsetsManager`

Nested classes/interfaces inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`static String` | `CONFIG_BOTTOM_PAD`
`static String` | `CONFIG_LEFT_PAD`
`static String` | `CONFIG_RIGHT_PAD`
`static String` | `CONFIG_TEXT_FIELD_WIDTH`
`static String` | `CONFIG_TOP_PAD`
`protected static double` | `DEG_TO_RAD`
`static String` | `LABEL_ANGLE`
`static String` | `LABEL_DEGREE`
`static String` | `LABEL_PERCENT`
`static String` | `LABEL_ROTATE`
`static String` | `LABEL_RX`
`static String` | `LABEL_RY`
`static String` | `LABEL_SCALE`
`static String` | `LABEL_SX`
`static String` | `LABEL_SY`
`static String` | `LABEL_TRANSLATE`
`static String` | `LABEL_TX`
`static String` | `LABEL_TY`
`protected static double` | `RAD_TO_DEG`
`protected DoubleDocument` | `rotateModel` The Model for the rotation
`protected DoubleDocument` | `rxModel` The Model for the x-axis rotation center
`protected DoubleDocument` | `ryModel` The Model for the y-axis rotation center
`protected DoubleDocument` | `sxModel` The Model for the x-axis scale component
`protected DoubleDocument` | `syModel` The Model for the y-axis scale component
`protected AffineTransform` | `txf` The `AffineTransform` value represented by the chooser
`protected DoubleDocument` | `txModel` The Model for the x-axis translate component
`protected DoubleDocument` | `tyModel` The Model for the y-axis translate component

Fields inherited from class org.apache.batik.ext.swing.JGridBagPanel
`DEFAULT_INSETS, insetsManager, ZERO_INSETS`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface org.apache.batik.ext.swing.GridBagConstants
`BOTH, CENTER, EAST, HORIZONTAL, NONE, NORTH, NORTHEAST, NORTHWEST, REMAINDER, SOUTH, SOUTHEAST, SOUTHWEST, VERTICAL, WEST`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JAffineTransformChooser()` Default constructor

Method Summary
`protected void` | `addToPanelAtRow(String label, Document model, String suffix, JGridBagPanel p, int row)`
`protected void` | `build()` Adds the control components into this panel.
`protected Component` | `buildPanel(String panelName, String tfALabel, Document tfAModel, String tfBLabel, Document tfBModel, String tfASuffix, String tfBSuffix, boolean setBorder)`
`protected Component` | `buildRotatePanel()`
`static JAffineTransformChooser.Dialog` | `createDialog(Component cmp, String title)` Creates a new modal dialog box that can be used to configure an `AffineTransform`
`AffineTransform` | `getAffineTransform()`
`static void` | `main(String[] args)`
`void` | `setAffineTransform(AffineTransform txf)`
`void` | `setPanelBorder(JComponent panel, String panelName)`
`static AffineTransform` | `showDialog(Component cmp, String title)` Displays the panel in a modal dialog box.

Methods inherited from class org.apache.batik.ext.swing.JGridBagPanel
`add, setLayout`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LABEL_ANGLE

    public static final String LABEL_ANGLE

See Also:
  Constant Field Values

### LABEL_DEGREE

    public static final String LABEL_DEGREE

See Also:
  Constant Field Values

### LABEL_PERCENT

    public static final String LABEL_PERCENT

See Also:
  Constant Field Values

### LABEL_ROTATE

    public static final String LABEL_ROTATE

See Also:
  Constant Field Values

### LABEL_SCALE

    public static final String LABEL_SCALE

See Also:
  Constant Field Values

### LABEL_RX

    public static final String LABEL_RX

See Also:
  Constant Field Values

### LABEL_RY

    public static final String LABEL_RY

See Also:
  Constant Field Values

### LABEL_SX

    public static final String LABEL_SX

See Also:
  Constant Field Values

### LABEL_SY

    public static final String LABEL_SY

See Also:
  Constant Field Values

### LABEL_TRANSLATE

    public static final String LABEL_TRANSLATE

See Also:
  Constant Field Values

### LABEL_TX

    public static final String LABEL_TX

See Also:
  Constant Field Values

### LABEL_TY

    public static final String LABEL_TY

See Also:
  Constant Field Values

### CONFIG_TEXT_FIELD_WIDTH

    public static final String CONFIG_TEXT_FIELD_WIDTH

See Also:
  Constant Field Values

### CONFIG_TOP_PAD

    public static final String CONFIG_TOP_PAD

See Also:
  Constant Field Values

### CONFIG_LEFT_PAD

    public static final String CONFIG_LEFT_PAD

See Also:
  Constant Field Values

### CONFIG_BOTTOM_PAD

    public static final String CONFIG_BOTTOM_PAD

See Also:
  Constant Field Values

### CONFIG_RIGHT_PAD

    public static final String CONFIG_RIGHT_PAD

See Also:
  Constant Field Values

### txf

    protected AffineTransform txf

  The `AffineTransform` value represented by the chooser

### txModel

    protected DoubleDocument txModel

  The Model for the x-axis translate component

### tyModel

    protected DoubleDocument tyModel

  The Model for the y-axis translate component

### sxModel

    protected DoubleDocument sxModel

  The Model for the x-axis scale component

### syModel

    protected DoubleDocument syModel

  The Model for the y-axis scale component

### rxModel

    protected DoubleDocument rxModel

  The Model for the x-axis rotation center

### ryModel

    protected DoubleDocument ryModel

  The Model for the y-axis rotation center

### rotateModel

    protected DoubleDocument rotateModel

  The Model for the rotation

### RAD_TO_DEG

    protected static final double RAD_TO_DEG

See Also:
  Constant Field Values

### DEG_TO_RAD

    protected static final double DEG_TO_RAD

See Also:
  Constant Field Values

Constructor Detail

### JAffineTransformChooser

    public JAffineTransformChooser()

  Default constructor

Method Detail

### build

    protected void build()

  Adds the control components into this panel.

### buildRotatePanel

    protected Component buildRotatePanel()

### buildPanel

    protected Component buildPanel(String panelName,
                                   String tfALabel,
                                   Document tfAModel,
                                   String tfBLabel,
                                   Document tfBModel,
                                   String tfASuffix,
                                   String tfBSuffix,
                                   boolean setBorder)

### setPanelBorder

    public void setPanelBorder(JComponent panel,
                               String panelName)

### addToPanelAtRow

    protected void addToPanelAtRow(String label,
                                   Document model,
                                   String suffix,
                                   JGridBagPanel p,
                                   int row)

### getAffineTransform

    public AffineTransform getAffineTransform()

### setAffineTransform

    public void setAffineTransform(AffineTransform txf)

### showDialog

    public static AffineTransform showDialog(Component cmp,
                                             String title)

  Displays the panel in a modal dialog box.

  Parameters:
    `cmp` - the dialog's parent component
    `title` - the dialog's title
  Returns:
    null if the dialog was cancelled. Otherwise, the value entered by the user.

### createDialog

    public static JAffineTransformChooser.Dialog createDialog(Component cmp,
                                                              String title)

  Creates a new modal dialog box that can be used to configure an `AffineTransform`

  Parameters:
    `cmp` - the dialog's parent component
    `title` - the dialog's title

### main

    public static void main(String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.